Standard Test Summary

Prev Next
Get
/api/v1/Execution/projects/{projectId}/tests/{testId}/results/{batchKey}

Returns the execution summary of a specified standard test

Security
API Key: x-val-api-token
Header parameter namex-val-api-token

API key needed to access endpoints. Each Validatar user can manage their own set of API keys.

Path parameters
projectId
integer (int32) Required

Project containing the standard test

testId
integer (int32) Required

Standard test to retrieve

batchKey
stringRequired

Execution to retrieve

Responses
200

OK

object
result
string
Valid values[ "Running", "Passed", "Failed", "Error" ]
batchType
string
Valid values[ "Test", "Job", "TemplateTest" ]
name
string | null

The test's name

dateStarted
string (date-time)

The test's start date

dateCompleted
string (date-time) | null

The test's completion date

403

Forbidden

404

Not Found

object
error
string | null